package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsRepairRecords;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.*;
import com.srs.dormitory.domain.Vo.RepairListVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 维修记录表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-04
 */
public interface IDmsRepairRecordsService extends IService<DmsRepairRecords> {

    AjaxResult addRepair(AddRepairDto addRepairDto);

    AjaxResult audit(AuditDto auditDto);

    AjaxResult repair(RepairDto dto);

    AjaxResult assess(AssessDto dto);

    AjaxResult appraise(boolean isAppraise);

    AjaxResult cancel(Long id, String reason);

    List<RepairListVo> repairList(RepairListVo dto);

    AjaxResult repairInfo(Long id);

    AjaxResult delete(List<Long> ids);

    AjaxResult deleteById(Long id);

    List<Map<String, Object>> getRepairName();
}
